diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 122458b..ff250ed 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -124101,7 +124101,7 @@ PolynomialFunctions2(R:Ring, S:Ring): with
     ++ map(f, p) produces a new polynomial as a result of applying
     ++ the function f to every coefficient of the polynomial p.
  == add
-  map(f, p) == map(#1::Polynomial(S), f(#1)::Polynomial(S),
+  map(f, p) == map(x1 +-> x1::Polynomial(S), x2 +-> f(x2)::Polynomial(S),
                    p)$PolynomialCategoryLifting(IndexedExponents Symbol,
                                    Symbol, R, Polynomial R, Polynomial S)
 
diff --git a/changelog b/changelog
index 1cab05e..a8f8cbd 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090612 tpd src/axiom-website/patches.html 20090612.06.tpd.patch
+20090612 tpd books/bookvol10.4 POLY2 +-> conversion
 20090612 tpd src/axiom-website/patches.html 20090612.05.tpd.patch
 20090612 tpd books/bookvol10.4 PFBRU +-> conversion
 20090612 tpd src/axiom-website/patches.html 20090612.04.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9728298..38556fd 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1557,5 +1557,7 @@ bookvol10.4 POLYCATQ +-> conversion<br/>
 bookvol10.4 PFBR +-> conversion<br/>
 <a href="patches/20090612.05.tpd.patch">20090612.05.tpd.patch</a>
 bookvol10.4 PFBRU +-> conversion<br/>
+<a href="patches/20090612.06.tpd.patch">20090612.06.tpd.patch</a>
+bookvol10.4 POLY2 +-> conversion<br/>
  </body>
 </html>
